Page MenuHomePhabricator

Opening the exported PDF triggers pop-up blocker.
Closed, ResolvedPublic

Description

Affects R23

When a user is trying to export a PDF we use the window.open method. This will (since it happens as the result of the download and not directly due to the click of a user) trigger most pop-up blockers. In most browsers, this will lead to the browser asking whether the user wishes to allow the application to open the pop-up.

This is not the case in current versions of MS Edge, where the browser will fail to "Open the pop-up once".

Revisions and Commits

Restricted Differential Revision

Event Timeline

cesar triaged this task as Normal priority.May 5 2020, 9:47 AM
cesar created this task.
cesar created this object with visibility "Public (No Login Required)".

Since the window.open behavior seems discouraged by most browsers anyway I suggest we start experimenting with creating a link element that we can then click on when the download is finished and prompt the user to either save or download the file - which would be our preferred behavior anyway.

cesar added a revision: Restricted Differential Revision.May 5 2020, 10:35 AM
cesar moved this task from Restricted Project Column to Restricted Project Column on the Unknown Object (Project) board.May 7 2020, 12:26 PM
cesar closed this task as Resolved by committing Restricted Diffusion Commit.Jun 4 2020, 10:10 AM
cesar added a commit: Restricted Diffusion Commit.